org.wildfly.swarm.microprofile.openapi.api.models.servers

## Class ServerVariableImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.servers.ServerVariableImpl

- All Implemented Interfaces:
    ModelImpl

      public class ServerVariableImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `ServerVariable` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerVariableImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerVariable` | `addEnumeration(String enumeration)`
    `ServerVariable` | `defaultValue(String defaultValue)`
    `ServerVariable` | `description(String description)`
    `ServerVariable` | `enumeration(List<String> enumeration)`
    `String` | `getDefaultValue()`
    `String` | `getDescription()`
    `List<String>` | `getEnumeration()`
    `void` | `setDefaultValue(String defaultValue)`
    `void` | `setDescription(String description)`
    `void` | `setEnumeration(List<String> enumeration)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerVariableImpl

          public ServerVariableImpl()

  - ### Method Detail

    - #### getEnumeration

          public List<String> getEnumeration()

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.ServerVariable#getEnumeration()`

    - #### setEnumeration

          public void setEnumeration(List<String> enumeration)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.ServerVariable#setEnumeration(java.util.List)`

    - #### enumeration

          public ServerVariable enumeration(List<String> enumeration)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.ServerVariable#enumeration(java.util.List)`

    - #### addEnumeration

          public ServerVariable addEnumeration(String enumeration)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.ServerVariable#addEnumeration(java.lang.String)`

    - #### getDefaultValue

          public String getDefaultValue()

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.ServerVariable#getDefaultValue()`

    - #### setDefaultValue

          public void setDefaultValue(String defaultValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.ServerVariable#setDefaultValue(java.lang.String)`

    - #### defaultValue

          public ServerVariable defaultValue(String defaultValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.ServerVariable#defaultValue(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.ServerVariable#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.ServerVariable#setDescription(java.lang.String)`

    - #### description

          public ServerVariable description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.ServerVariable#description(java.lang.String)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.